tt_pattern_op_add(library call)

NAME
tt_pattern_op_add — add a value to the operation field of a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_op_add(
Tt_pattern p,
const char *opname);

DESCRIPTION

The tt_pattern_op_add function adds a value to the operation field of the specified pattern.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called. The opname argument is the name of the operation the process can perform.

RETURN VALUE

Upon successful completion, the tt_pattern_op_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_create(3).